#include "alis.h"
AlisClass::AlisClass(){
	pinMode(3,OUTPUT);
	pinMode(5,OUTPUT);
	pinMode(9,OUTPUT);
	pinMode(10,OUTPUT);
	pinMode(4,OUTPUT);
	pinMode(2,OUTPUT);
	pinMode(12,OUTPUT);
	pinMode(13,INPUT);
	trig = 12;
	echo = 13;
	mesafegonder = 0;
	bekleme = 0;
	solsensor = 0;
	ortasensor = 0;
	sagsensor = 0;

}

void AlisClass::kontrol(int motor,int yon,int speed){
	if (motor==1)
	{if (yon==1){
		analogWrite(3,speed);
		analogWrite(5,0);
		}
		else{
			analogWrite(3,0);
			analogWrite(5,speed);
			}
	}
	else{
		if (yon==1){
			analogWrite(9,speed);
			analogWrite(10,0);
			}
			else{
				analogWrite(9,0);
				analogWrite(10,speed);
				}
		}
}

void AlisClass::motoryon(int motoryon,int hiz){
	if(motoryon==1){
		analogWrite(3,hiz);
		analogWrite(5,0);
		analogWrite(9,hiz);
		analogWrite(10,0);
	}
	if(motoryon==2){
		analogWrite(5,hiz);
		analogWrite(3,0);
		analogWrite(10,hiz);
		analogWrite(9,0);
	}
	if(motoryon==3){
		analogWrite(5,hiz);
		analogWrite(3,0);
		analogWrite(9,hiz);
		analogWrite(10,0);
	}
	if(motoryon==4){
		analogWrite(3,hiz);
		analogWrite(5,0);
		analogWrite(10,hiz);
		analogWrite(9,0);
	}
}

void AlisClass::motor(int motoryon){
	if(motoryon==1){
		digitalWrite(3,1);
		digitalWrite(5,0);
		digitalWrite(9,1);
		digitalWrite(10,0);
	}
	if(motoryon==2){
		digitalWrite(5,1);
		digitalWrite(3,0);
		digitalWrite(10,1);
		digitalWrite(9,0);
	}
	if(motoryon==3){
		digitalWrite(5,1);
		digitalWrite(3,0);
		digitalWrite(9,1);
		digitalWrite(10,0);
	}
	if(motoryon==4){
		digitalWrite(3,1);
		digitalWrite(5,0);
		digitalWrite(10,1);
		digitalWrite(9,0);
	}
}
void AlisClass::dur(){
	analogWrite(3,0);
	analogWrite(5,0);
	analogWrite(10,0);
	analogWrite(9,0);
}

double AlisClass::mesafe(){
	digitalWrite(trig, LOW);
	delayMicroseconds(2);
	digitalWrite(trig, HIGH);
	delayMicroseconds(10);
	digitalWrite(trig, LOW);
	bekleme = pulseIn(echo, HIGH);
	mesafegonder = bekleme / 58.2;
	delay(50);
	return mesafegonder;
}

int AlisClass::cizgi(int sol,int orta,int sag){
	solsensor = digitalRead(sol);
	ortasensor = digitalRead(orta);
	sagsensor = digitalRead(sag);
	if (ortasensor == 0){
		return 0;
	}
	else if (solsensor == 0){
		return 1;
	}
	else if (sagsensor == 0){
		return 2;
	}
	else{
		return 3;
	}
}

void AlisClass::tanimla(){
byte aglayan[] = {
  B00000,
  B11011,
  B11011,
  B00000,
  B01110,
  B10001,
  B00000,
  B00000
};
byte gulen[] = {
  B00000,
  B11011,
  B11011,
  B00000,
  B10001,
  B01110,
  B00000,
  B00000
};
}